Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

## Class DocumentAdjustment1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_06.DocumentAdjustment1

    public class DocumentAdjustment1
    extends java.lang.Object

Java class for DocumentAdjustment1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentAdjustment1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}CreditDebitCode" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max4Text" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlInf`
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected CreditDebitCode` `cdtDbtInd`
`protected java.lang.String` `rsn`

### Constructor Summary

Constructors
`DocumentAdjustment1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlInf()` Gets the value of the addtlInf property.
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.lang.String` `getRsn()` Gets the value of the rsn property.
`void` `setAddtlInf​(java.lang.String value)` Sets the value of the addtlInf property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setRsn​(java.lang.String value)` Sets the value of the rsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### rsn

    protected java.lang.String rsn

#### addtlInf

    protected java.lang.String addtlInf

### Constructor Detail

#### DocumentAdjustment1

    public DocumentAdjustment1()

### Method Detail

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getRsn

    public java.lang.String getRsn()

Gets the value of the rsn property.

Returns:
  possible object is `String`

#### setRsn

    public void setRsn​(java.lang.String value)

Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `String`

#### getAddtlInf

    public java.lang.String getAddtlInf()

Gets the value of the addtlInf property.

Returns:
  possible object is `String`

#### setAddtlInf

    public void setAddtlInf​(java.lang.String value)

Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`